Simplify ci-push.sh: end script on any error (#4886)

Use the bash -e option to exit on any error, so || exit 1 is not needed.

As a bonus, this lets us get the actual return code from any failures.
optimising-macrocalls
Robin Munn 2020-10-26 23:58:21 +07:00 zatwierdzone przez GitHub
rodzic f7f55e8eff
commit 0ce1843070
Nie znaleziono w bazie danych klucza dla tego podpisu
ID klucza GPG: 4AEE18F83AFDEB23
1 zmienionych plików z 10 dodań i 15 usunięć

Wyświetl plik

@ -2,19 +2,14 @@
# Push output back to GitHub
# Exit script immediately if any command fails
set -e
cd output || exit 1
git config --global user.email "actions@github.com" || exit 1
git config --global user.name "GitHub Actions" || exit 1
git add -A . || exit 1
git commit --message "GitHub build: $GITHUB_RUN_NUMBER of $TW5_BUILD_BRANCH ($(date +'%F %T %Z'))" || exit 1
git remote add deploy "https://$GH_TOKEN@github.com/Jermolene/jermolene.github.io.git" &>/dev/null || exit 1
git push deploy master &>/dev/null || exit 1
cd .. || exit 1
cd output
git config --global user.email "actions@github.com"
git config --global user.name "GitHub Actions"
git add -A .
git commit --message "GitHub build: $GITHUB_RUN_NUMBER of $TW5_BUILD_BRANCH ($(date +'%F %T %Z'))"
git remote add deploy "https://$GH_TOKEN@github.com/Jermolene/jermolene.github.io.git" &>/dev/null
git push deploy master &>/dev/null
cd ..